Skip to main content
GET
Get Resource Audit Logs

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

limit
integer | null
default:100

Number of items per page

Required range: 1 <= x <= 1000
Example:

10

offset
integer | null
default:0

Number of items to skip

Required range: x >= 0
Example:

0

resourceId
string | null

Resource Id. Required unless resourceType is gateway-config, gateway-budget or gateway-rate-limit.

resourceType
enum<string>
required

Type of the resource whose audit log to read.

Available options:
role,
account,
cluster,
workspace,
environment,
secret-group,
deployment,
application,
secret,
docker-registry,
tenant,
vcs-integration,
mlf-project,
repository,
provider-integration,
team,
service-account,
llm-gateway,
policy,
role-binding,
settings,
provider-account,
user,
alert-config,
alert-rule,
gateway-config,
gateway-controls,
gateway-budget,
gateway-rate-limit,
gateway-policy,
gateway-approval-request,
tracing-project,
tracing-application,
agent,
agent-channel,
gateway-installation,
virtual-account,
mcp-server,
external-identity-provider,
agent-identity,
oidc-client
resourceName
string | null

Resource Name. Required when resourceType is gateway-config.

action
string | null

Optional comma-separated action names. Omit to include every action on the resource.

search
string | null

Search query for message, action, resource name, and resource FQN

start
string | null

Start Time (ISO 8601)

end
string | null

End Time (ISO 8601)

Response

200 - application/json

Returns list of audit logs for the resource

data
ActivityLog · object[]
required

Array of ActivityLog

pagination
Pagination · object
required

Pagination information